# BrowserInfoResponse<!-- -->

## Index[**](#Index)

### Properties

* [**body\_length](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#body_length)
* [**client\_ip](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#client_ip)
* [**country\_code](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#country_code)
* [**headers](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#headers)
* [**method](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#method)
* [**model\_config](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#model_config)
* [**raw\_headers](https://docs.apify.com/api/client/python/api/client/python/reference/class/BrowserInfoResponse.md#raw_headers)

## Properties<!-- -->[**](#Properties)

### [**](#body_length)body\_length

**body\_length: int

Length of the request body in bytes.

### [**](#client_ip)client\_ip

**client\_ip: str | None

IP address of the client.

### [**](#country_code)country\_code

**country\_code: str | None

Two-letter country code resolved from the client IP address.

### [**](#headers)headers

**headers: dict\[str, str | [list](https://docs.apify.com/api/client/python/api/client/python/reference/class/ActorEnvVarCollectionClient.md#list)\[str]] | None

Request headers. Omitted when `skipHeaders=true`.

### [**](#method)method

**method: str

HTTP method of the request.

### [**](#model_config)model\_config

**model\_config: Undefined

### [**](#raw_headers)raw\_headers

**raw\_headers: [list](https://docs.apify.com/api/client/python/api/client/python/reference/class/ActorEnvVarCollectionClient.md#list)\[str] | None

Raw request headers as a flat list of alternating name/value strings. Included only when `rawHeaders=true`.
